Subject: [PATCH 1/2] arm: socfpga: Add clock for smp_twd timer

From: [email-masked] (Dinh Nguyen)
Date: Mon, 2 Dec 2013 11:10:44 -0600

On Wed, 2013-11-27 at 12:52 -0800, Mike Turquette wrote:
> Quoting Dinh Nguyen (2013-10-01 12:35:55)
> > On Tue, 2013-10-01 at 14:23 -0500, Rob Herring wrote:
> > > On 09/17/2013 11:32 AM, dinguyen at altera.com wrote:
> > > > From: Dinh Nguyen <[email-masked]>
> > > > 
> > > > Assign a clock for the twd-timer.
> > > > 
> > > > Signed-off-by: Dinh Nguyen <[email-masked]>
> > > > Cc: Rob Herring <[email-masked]>
> > > > Cc: Pawel Moll <[email-masked]>
> > > > Cc: Mark Rutland <[email-masked]>
> > > > Cc: Stephen Warren <[email-masked]>
> > > > Cc: Ian Campbell <[email-masked]>
> > > > CC: linux-arm-kernel at lists.infradead.org
> > > > ---
> > > >  arch/arm/boot/dts/socfpga.dtsi |    4 ++--
> > > >  1 file changed, 2 insertions(+), 2 deletions(-)
> > > > 
> > > > diff --git a/arch/arm/boot/dts/socfpga.dtsi b/arch/arm/boot/dts/socfpga.dtsi
> > > > index acd6c3a..e28df94 100644
> > > > --- a/arch/arm/boot/dts/socfpga.dtsi
> > > > +++ b/arch/arm/boot/dts/socfpga.dtsi
> > > > @@ -480,11 +480,11 @@
> > > >                     clock-names = "biu", "ciu";
> > > >             };
> > > >  
> > > > -           /* Local timer */
> > > > -           timer at fffec600 {
> > > > +           local-timer at fffec600 {
> > > 
> > > timer was the right name.
> > 
> > I'll put it back...
> > 
> > > 
> > > >                     compatible = "arm,cortex-a9-twd-timer";
> > > >                     reg = <0xfffec600 0x100>;
> > > >                     interrupts = <1 13 0xf04>;
> > > > +                   clocks = <&mpu_periph_clk>;
> > > 
> > > Otherwise, this looks fine and I wouldn't expect much input on a change
> > > that doesn't add a new binding.
> > > 
> > > Acked-by: Rob Herring <[email-masked]>
> > 
> > Thanks Rob!
> 
> Looks good to me too. Can you respin it with the fix for 'timer' and
> I'll take it in?

This already went in through the DTS bindings tree.

Thanks,
Dinh
> 
> Thanks,
> Mike
> 
> > 
> > Dinh
> > > 
> > > Rob
> > > 
> > > >             };
> > > >  
> > > >             timer0: timer0 at ffc08000 {
> > > > 
> > > 
> > > 
> > 
> > 
> > 
> > 
> > _______________________________________________
> > linux-arm-kernel mailing list
> > linux-arm-kernel at lists.infradead.org
> > http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>